/v1/api/healthChecks (GET) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Returns information about all health checks configurations.

GET https://api-<BlueCat.edge.url>/v1/api/gslbRules
Authorization: Bearer authorization token

Successful response

200 OK
Content-Type: application/JSON
[
    {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "Server X health check",
        "targets": [
            "10.1.1.1"
        ],
        "interval": 0,
        "failureThreshold": 0,
        "successThreshold": 0,
        "maxResponseTime": 0,
        "protocolConfig": {
            "path": "/path",
            "port": 80,
            "hostname": "www.example.com",
            "additionalDomains": [
                "*.foo.com"
            ],
            "headers": [
                {
                    "name": "X-Header",
                    "value": "x-value"
                }
            ],
            "statusCodes": [
                200,
                302
            ],
            "responseBody": "\"status\": \"success\""
        },
        "created": 946684800000,
        "modified": 946684800000,
        "transactionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    },
    {    
        "id": "0196d7eb-3c19-755e-9beb-7b0c2bcc475e",
        "name": "HTTPS - Health check",
        "targets": [
            "10.10.10.10"
        ],
        "successThreshold": 1,
        "failureThreshold": 1,
        "interval": 30000,
        "maxResponseTime": 10000,
        "protocolConfig": {
            "path": "/hello",
            "port": 8443,
            "headers": [],
            "hostname": "invalid.com",
            "protocol": "https",
            "enableSni": true,
            "trustedCa": "-----BEGIN CERTIFICATE-----\n..Fg==\n-----END CERTIFICATE-----\n",
            "statusCodes": [],
            "additionalDomains": []
        },
        "created": 1747379239961,
        "modified": 1747379239961,
        "transactionId": "0196d7eb-3c19-7562-a5ef-bf404b9b2b3f"
    },
    ...
]
Note: The created and modified fields are represented in milliseconds since the Unix Epoch.
Possible error codes:
  • INTERNAL SERVER ERROR - Unexpected error